### Virtual Method

# Ide CompletionProvider is_trigger

#### Declaration

    gboolean
    is_trigger (
      IdeCompletionProvider* self,
      const GtkTextIter* iter,
      gunichar ch
    )

#### Description

Completion providers may want to trigger that the completion window is displayed upon insertion of a particular character. For example, a C indenter might want to trigger after -> or . is inserted.

`ch` is set to the character that was just inserted. If you need something more complex, copy `iter` and move it backwards twice to check the character previous to `ch`.

Available since: | 3.32

#### Parameters

`iter` | `GtkTextIter`
| The current insertion point.
| The data is owned by the caller of the function.
`ch` | `gunichar`
| The character that was just inserted.

#### Return value

Returns: | `gboolean`
| `TRUE` to request that the completion window is displayed.